/**************************************************************************
*  SCI_LIB.C  -  Contains the SCI input-output functions for the freeware *
*                HC11 C compiler.                                         *
*                                                                         *
*  by YourName Here                                                       *
*  The Date                                                               *
**************************************************************************/


#define  BAUD   *(unsigned char *)0x102B  /* SCI Baud Rate Register */
#define  SCCR1  *(unsigned char *)0x102C  /* SCI Control Register 1 */
#define  SCCR2  *(unsigned char *)0x102D  /* SCI Control Register 2 */
#define  SCSR   *(unsigned char *)0x102E  /* SCI Status Register    */
#define  SCDR   *(unsigned char *)0x102F  /* SCI R/W Data Register  */



/*
| Prototypes for assembly functions found in CRT.S
*/
int  getch(void);
int  putchar(int c);



/*
.-------------------------------------------------------------------------.
|  int puts(char *s)                                                       |
|                                                                          |
|  Writes a null terminated string to the screen via the SCI.              |
|  Does not append a newline character.                                    |
|                                                                          |
|  Inputs - *s is a pointer to the NULL terminated string.                 |
|  Return - returns the last character transmitted (as an int).            |
`--------------------------------------------------------------------------'
*/
int puts(char *s)
{
for( ; *s; s++)         /* Output one char at a time to the SCI via */
   putchar(*s);         /* the assembly language routine in CRT.S.  */

--s;                    /* Back-up one char for the return value.   */
return(*s);
}
